RIPEMD128 Class Reference

RIPEMD-128 message digest. More...

`#include <ripemd.h>`

Inheritance diagram for RIPEMD128:

## Static Public Member Functions

static void | InitState (HashWordType *state)
static void | Transform (word32 *digest, const word32 *data)
static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from AlgorithmImpl< IteratedHash< word32, LittleEndian, T_BlockSize >, RIPEMD128 >
static std::string | StaticAlgorithmName ()
| The algorithm name.

## Additional Inherited Members

Public Types inherited from IteratedHash< word32, LittleEndian, T_BlockSize >
typedef LittleEndian | ByteOrderClass
typedef word32 | HashWordType
Public Types inherited from IteratedHashBase< word32, HashTransformation >
typedef word32 | HashWordType
Public Member Functions inherited from IteratedHashWithStaticTransform< word32, LittleEndian, 64, 16, RIPEMD128 >
unsigned int | DigestSize () const
| Provides the digest size of the hash.
Public Member Functions inherited from ClonableImpl< RIPEMD128, AlgorithmImpl< IteratedHash< word32, LittleEndian, T_BlockSize >, RIPEMD128 > >
Clonable * | Clone () const
| Create a copy of this object.
Public Member Functions inherited from AlgorithmImpl< IteratedHash< word32, LittleEndian, T_BlockSize >, RIPEMD128 >
std::string | AlgorithmName () const
| The algorithm name.
Public Member Functions inherited from IteratedHash< word32, LittleEndian, T_BlockSize >
unsigned int | BlockSize () const
| Provides the block size of the hash.
ByteOrder | GetByteOrder () const
| Provides the byte order of the hash.
void | CorrectEndianess (HashWordType *out, const HashWordType *in, size_t byteCount)
| Adjusts the byte ordering of the hash.
Public Member Functions inherited from IteratedHashBase< word32, HashTransformation >
| IteratedHashBase ()
| Construct an IteratedHashBase.
unsigned int | OptimalBlockSize () const
| Provides the input block size most efficient for this cipher.
unsigned int | OptimalDataAlignment () const
| Provides input and output data alignment for optimal performance.
void | Update (const byte *input, size_t length)
| Updates a hash with additional input.
byte * | CreateUpdateSpace (size_t &size)
| Requests space which can be written into by the caller.
void | Restart ()
| Restart the hash.
void | TruncatedFinal (byte *digest, size_t digestSize)
| Computes the hash of the current message.
virtual std::string | AlgorithmProvider () const
| Retrieve the provider of this algorithm.
Public Member Functions inherited from HashTransformation
HashTransformation & | Ref ()
| Provides a reference to this object.
virtual void | Final (byte *digest)
| Computes the hash of the current message.
unsigned int | TagSize () const
| Provides the tag size of the hash.
virtual void | CalculateDigest (byte *digest, const byte *input, size_t length)
| Updates the hash with additional input and computes the hash of the current message.
virtual bool | Verify (const byte *digest)
| Verifies the hash of the current message.
virtual bool | VerifyDigest (const byte *digest, const byte *input, size_t length)
| Updates the hash with additional input and verifies the hash of the current message.
virtual void | CalculateTruncatedDigest (byte *digest, size_t digestSize, const byte *input, size_t length)
| Updates the hash with additional input and computes the hash of the current message.
virtual bool | TruncatedVerify (const byte *digest, size_t digestLength)
| Verifies the hash of the current message.
virtual bool | VerifyTruncatedDigest (const byte *digest, size_t digestLength, const byte *input, size_t length)
| Updates the hash with additional input and verifies the hash of the current message.
Public Member Functions inherited from Algorithm
| Algorithm (bool checkSelfTestStatus=true)
| Interface for all crypto algorithms.
Static Public Attributes inherited from IteratedHashWithStaticTransform< word32, LittleEndian, 64, 16, RIPEMD128 >
static const int | DIGESTSIZE
Static Public Attributes inherited from IteratedHash< word32, LittleEndian, T_BlockSize >
static const int | BLOCKSIZE

## Detailed Description

RIPEMD-128 message digest.

Digest size is 128-bits.

Warning
  RIPEMD-128 is considered insecure, and should not be used unless you absolutely need it for compatibility.

See also
  RIPEMD-128

Since
  Crypto++ 2.1

Definition at line 42 of file ripemd.h.

## Member Function Documentation

## InitState()

void RIPEMD128::InitState | ( | HashWordType * | state | ) |

static

Definition at line 464 of file ripemd.cpp.

## Transform()

void RIPEMD128::Transform | ( | word32 * | digest,
|  | const word32 * | data )

static

Definition at line 472 of file ripemd.cpp.

## StaticAlgorithmName()

const char * RIPEMD128::StaticAlgorithmName | ( |  | ) |

inline static

Definition at line 47 of file ripemd.h.

The documentation for this class was generated from the following files:

- ripemd.h
- ripemd.cpp